Bug 1044134 - [RFE] should set LDAP_OPT_X_SASL_NOCANON to LDAP_OPT_ON by default
Summary: [RFE] should set LDAP_OPT_X_SASL_NOCANON to LDAP_OPT_ON by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:14 UTC by Nathan Kinder
Modified: 2015-03-05 09:29 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Enhancement
Doc Text:
Feature: Add ability to set the ldap connection "no canon" settings Reason: Have the ability to avoid doing DNS reverse lookups for outgoing connections. Result: More fine grained control over how the server makes connections.
Clone Of:
Environment:
Last Closed: 2015-03-05 09:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:14:23 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47317

389 should use ldap_set_option(ld, LDAP_OPT_X_SASL_NOCANON, LDAP_OPT_ON) for outgoing ldap connections.  This option should also be configurable via a configuration attribute, with the value of "on" by default.

http://ssimo.org/blog/id_015.html

Comment 4 Amita Sharma 2014-12-30 09:57:20 UTC
[root@dhcp201-126 export]# ldapsearch -p 389 -h localhost -D "cn=Directory Manager" -w Secret123 -LLL -b "cn=config" | grep nsslapd-connection-nocanon
nsslapd-connection-nocanon: on

Hence VERIFIED,

Comment 6 errata-xmlrpc 2015-03-05 09:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.